<?php
/*
 * Copyright(C). D-cube,Inc. All Rights Reserved.
 */

/*
 * @file		EntryInputForm.class.php
 * @brief		記事入力フォームクラス
 * @date		2006.12.15
 */

require_once(CLASS_DIR."/form/AbstractForm.class.php");

class EntryInputForm extends AbstractForm
{
	function setCategoryCode($category_code="")
	{
		$this->category_code = $category_code;
	}
	
	function setEntryTitle($entry_title="")
	{
		$this->entry_title = $entry_title;
	}
	
	function setEntryDate($entry_date="")
	{
		$this->entry_date = $entry_date;
	}
	
	function setEntryBody($entry_body="")
	{
		$this->entry_body = $entry_body;
	}
	
	function check()
	{
		$error_array = array();
		if(!is_null($this->entry_title))
			if(!strlen($this->entry_title))
				$error_array["entry_title"] = "タイトルを入力してください。";
		return $error_array;
	}
}
